﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using Infragistics.Windows.DataPresenter;
using System.Windows;


namespace WpfApplication233.ViewModel
{
    class SelectAllCommand:ICommand
    {
        #region ICommand Members

        public bool CanExecute(object parameter)
        {
           // throw new NotImplementedException();
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            VM vm = Application.Current.Resources["vm"] as VM;
            vm.SelectAll = true;
            XamDataGrid xg = parameter as XamDataGrid;
            // throw new NotImplementedException();
            foreach (Record r in xg.GetRecordsInView(false))
            {
                r.IsSelected = true;
            }

            MessageBox.Show(xg.SelectedItems.Records.Count.ToString());
        }

        #endregion
    }
}
